Bug 6759 - fontconfig option AntiAlias doesn't work in cairo 1.1.2
Summary: fontconfig option AntiAlias doesn't work in cairo 1.1.2
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: freetype font backend (show other bugs)
Version: 1.1.2
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Owen Taylor
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-27 11:42 UTC by sangu
Modified: 2006-06-25 02:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
screenshot in cairo 1.1.2 and cairo 1.0.4 (38.30 KB, image/png)
2006-04-27 12:12 UTC, sangu
Details
a proposal patch (9.02 KB, patch)
2006-06-14 08:12 UTC, Jinghua Luo
Details | Splinter Review
a test case. (3.96 KB, text/x-csrc)
2006-06-14 08:30 UTC, Jinghua Luo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sangu 2006-04-27 11:42:45 UTC
fontconfig option AntiAlias doesn't work in cairo 1.1.2.

~/.fonts.conf
<fontconfig>
 <match target="font" >
                <test qual="any" name="family">
                        <string>Verdana</string>
                   </test>
                <test compare="more" name="pixelsize" qual="any">
                        <double>9</double>
                </test>
                <test compare="less" name="pixelsize" qual="any">
                        <double>17</double>
                </test>
                <edit mode="assign" name="antialias" >
                        <bool>false</bool>
                </edit>
          </match>
</fontconfig>

vernada font always is seen to AA in GNOME 2.14.1.

xorg-x11-server-Xorg-1.0.1-9.fc5
VGA driver : nvidia proprietary driver
Comment 1 sangu 2006-04-27 12:12:09 UTC
Created attachment 5493 [details]
screenshot in cairo 1.1.2 and cairo 1.0.4
Comment 2 Jinghua Luo 2006-06-14 08:12:46 UTC
Created attachment 5907 [details] [review]
a proposal patch

Here is the proposal patch to fix this bug.
This problem is:
The freetype font backend uses scaled_font->base.options which
usually is not corresponding the font pattern used to create
the font face when rendering glyph into bitmap.
Comment 3 Jinghua Luo 2006-06-14 08:30:23 UTC
Created attachment 5908 [details]
a test case.
Comment 4 Carl Worth 2006-06-25 02:51:21 UTC
It appears that the test case and the patch have both landed upstream:

http://gitweb.cairographics.org/?p=cairo;a=commit;h=4b2b8f939a9e786ead080f85d1b101680230f168

http://gitweb.cairographics.org/?p=cairo;a=commit;h=54b4a2fccdcaa4fbc126818c7cb7b96a1a8acf35

And that this bug simply wasn't closed. (Note comment in the second commit: "The
ft-text-antialias-none test case passess now. And should fix bug #6759 and #4792.").

-Carl


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.